<%@page contentType="text/html; charset=UTF-8"%>
<%@ page import="com.csc.library.entry.HelpEntry,com.csc.library.system.*,com.csc.library.utilities.*,com.csc.library.entry.*,com.csc.library.database.*,com.csc.library.session.*,com.csc.library.report.ReportUDF"  %>
<jsp:useBean id="AS05_1" class="com.csc.library.system.Task" scope="page" />
<%AS05_1.setChannel(request, response);%>
<%HelpEntry screen = (HelpEntry) AS05_1.process("HelpEntry","AS05_1");%>
<%
ReportUDF rp=new ReportUDF();
String aysource=request.getParameter("__asysource");
		if(aysource.length()>0){
	((DbInquiry)screen.getInquiry().getChild("vmassessy")).setResultSet(aysource);
	}
screen.process();

%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="../CSS/TISCO.css" rel="stylesheet" type="text/css">
<script  language="JavaScript" src="../JS/SCREEN.js"></script>

<script type='text/javascript' src='../JS/ICONSMENU.js'></script>
<script language='javascript' src='../JS/HOTKEY.js'></script>
<script language='javascript'>setLang('<%=screen.getUProfile().get("lang")%>');</script>

<script language="JavaScript" type="text/JavaScript">
<!--
function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function goBackpage(apsid){
		with(document.cscform){
					__fixCon.value="apsassessor='<%=screen.getUProfile().get("employeeid")%>'";
					action="AS05.jsp";
                     submit();
		}
}

function goNextpage(page,apsid,assessor,assessy,asssource,asysource){
		with(document.cscform){
					__apsid.value=apsid;
					__apsassessor.value=assessor;
					__apsassessy.value=assessy;
					__apsasssource.value=asssource;
					__apsasysource.value=asysource;					
					action=page;
					__help.value="__apsid#"+apsid+",__apsassessor#"+assessor+",__apsassessy#"+assessy+",__apsasssource#"+asssource+",__apsasysource#"+asysource;
					__fixCon.value="apsid='"+apsid+"' and apsassessor='"+assessor+"' and apsassessy='"+assessy+"' and apsasssource='"+asssource+"' and apsasysource='"+asysource+"'";
					__cmd.value="search";
					submit();
		}
}

function getDocno(){
	with(document.cscform){
			if((typeof __apsidtmp.length)!="undefined"){
			        for(i=0;i<__apsidtmp.length;i++){
					            if(__apsidtmp[i].value!=""){
								docno.innerHTML=__apsidtmp[i].value;
								break;
								}
					}
			}else{
						if((typeof __apsidtmp)!="undefined"){
									if(__apsidtmp.value!=""){
							         docno.innerHTML=__apsidtmp.value;	
								}
						}
			}
	}
}

function getTitle(){
	with(document.cscform){
			if((typeof __tdesc.length)!="undefined"){
			        for(i=0;i<__tdesc.length;i++){
					  			if(__tdesc[i].value!=""){
								mtitle.innerHTML=__tdesc[i].value;
								break;
								}
					}
			}else{
						if((typeof __tdesc)!="undefined"){
								if(__tdesc.value!=""){
							    mtitle.innerHTML=__tdesc.value;
								}
						}
			}
	}
}

function getObjective(){
	with(document.cscform){
			if((typeof __apsobjective.length)!="undefined"){
			        for(i=0;i<__apsobjective.length;i++){
								if(__apsobjective[i].value!=""){
								objective.innerHTML=__apsobjective[i].value;
								break;
								}
					}
			}else{
						if((typeof __apsobjective)!="undefined"){
								if(__apsobjective.value!=""){
							    objective.innerHTML=__apsobjective.value;	
								}
						}
			}
	}
}

function wrtietoSpan(){
			getObjective();
			getDocno();
			getTitle()
}

//-->
</script>

</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0"  onLoad="wrtietoSpan();MM_preloadImages('../IMAGES/BUTTON/SWAP/BACK_SWAP20.gif')">
<form name="cscform" method="post" >
  

<!----------BEGIN CSC INITIAL ZONE ------------------------>

<%=screen.InitialVariable()%>

<!----------END CSC INITIAL ZONE -------------------------->

<input type="hidden"name="__screen"  value="AS05_1">
  <input type="hidden" name="__help" value="">
  <input type="hidden" name="__cmd"  value="">
<input type="hidden" name="__language" value ="<%=screen.getUProfile().get("lang")%>"> 
  <input type="hidden" name="__fixCon" value="">
  <input type="hidden" name="__orderBy" value="">
  <input type="hidden" name="__tdesc" value="">
  <input type="hidden" name="__apsobjective" value="">
  <input type="hidden" name="__apsid" value="">  
  <input type="hidden" name="__apsassessor" value="">  
  <input type="hidden" name="__apsassessy" value="">  
  <input type="hidden" name="__apsasssource" value="">  
  <input type="hidden" name="__apsasysource" value="">  
  <br>
  <div align="center">
    <table  cellpadding="0"  cellspacing="0" class="large">
      <tr > 
        <td  class="header">AS05_1,
          <script language="javascript">swapLang('Save score');</script> 
          &nbsp;</td>
      </tr>
      <tr > 
        <td  colspan="2"> 
          <div align="center"> <br>
              <table class="largest" border="1" cellspacing="1" cellpadding="1">
              <tr>
                <td><table border="0" align="center" cellpadding="3" cellspacing="1" class="largest">
              <tr> 
                <td>&nbsp;</td>
                <td>&nbsp;</td>
              </tr>
              <tr> 
                <td><div align="left"><strong>&nbsp;
                    <script language="javascript">swapLang('Code');</script>
                    </strong></div></td>
                <td><font class="normal"><span id="docno"></span></script> </font></td>
              </tr>
              <tr> 
                <td width="86"><div align="left">&nbsp;
                    <script language="javascript">swapLang('Title');</script>
                  </div></td>
                <td width="539"><font class="normal">
                  <span id="mtitle"></span>
                  </font></td>
              </tr>
              <tr> 
                <td>&nbsp;
                  <script language="javascript">swapLang('Objective');</script></td>
                <td><font class="normal">
                  <span id="objective"></span>
                  </font></td>
              </tr>
              <tr>
                <td colspan="2"  class="blankspace"></td>
              </tr>
              <tr> 
                <td colspan="2">&nbsp;
                  <script language="javascript">swapLang('assessy');</script></td>
              </tr>
            </table>
			</td>
              </tr>
            </table><br>		
            <table class="largest" border="0" align="center" cellpadding="1" cellspacing="1">
              <tr> 
                <td class="headerLight2" width="75"><div align="center">
                    <script language="javascript">swapLang('Code');</script>
                  </div></td>
                <td class="headerLight2" width="389"><div align="center">
                    <script language="javascript">swapLang('Description');</script>
                  </div></td>
                <td class="headerLight2" width="114"><div align="center">
                    <script language="javascript">swapLang('Type');</script>
                  </div></td>
                <td class="headerLight2" width="130"><div align="center">
                    <script language="javascript">swapLang('Status');</script>
                  </div></td>
              </tr>
			  <%
			  		while(screen.nextRec()){
			  %>
			  <input type="hidden" name="__tdesc" value="<%=screen.getString("tapstran0","tdesc")%>">
			  <input type="hidden" name="__apsobjective" value="<%=screen.getString("tapstran0","apsobjective")%>">
			  <input type="hidden" name="__apsidtmp" value="<%=screen.getString("apsid")%>">  			  
              <tr> 
                <td nowrap class="writeback" ><div align="center"><a href="javascript:goNextpage('AS05_21.jsp','<%=screen.getString("apsid")%>','<%=screen.getString("apsassessor")%>','<%=screen.getString("apsassessy")%>','<%=screen.getString("apsasssource")%>','<%=screen.getString("apsasysource")%>')"><%=screen.getString("apsassessy")%></a></div></td>
                <td class="writeback" ><%=screen.getString("apsasydesc")%></td>
                <td class="writeback" ><div align="center"><%=screen.getString("mastype","astid")%></div></td>
                <td nowrap class="writeback" ><div align="center"><%=rp.getSystemCode("apsconfirmcolor",screen.getUProfile().get("lang"),screen.getString("apsconfirm"))%></div></td>
              </tr>
			  <%}%>
            </table>
            <div align="right"> <a href="javascript:goBackpage('<%=screen.getString("apsid")%>');" onMouseOut="MM_swapImgRestore()" onMouseOver="MM_swapImage('Image41','','../IMAGES/BUTTON/SWAP/BACK_SWAP20.gif',1)"><img SRC="../IMAGES/BUTTON/MAIN/BACK20.gif" alt="กลับไปหน้าที่แล้ว" name="Image41" width="20" height="20" border="0" align="absmiddle" id="Image41"></a>&nbsp;&nbsp; 
            </div>
          </div></td>
      </tr>
      <tr bordercolor="0069B3"> 
        <td  class="bottom"></td>
      </tr>
    </table>
  </div>
</form>
</body>
</html>
